Name:		wsjtx
Summary:	Provides all popular modes for Weak Signal digital Amateur Radio
Version:	2.6.0
Release:	%mkrel 1
License:	GPLv3
Url:		http://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html
Group:		Communications

Source0:	%{name}-%{version}.tar.xz

BuildRequires:	asciidoc
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gcc-gfortran
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5SerialPort)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qtmultimedia5
BuildRequires:	subversion
BuildRequires:	texinfo

Requires: lib64qt5-database-plugin-sqlite

%description
WSJT-X is a program designed to facilitate basic amateur radio communication
using very weak signals. The first four letters in the program name stand for
“Weak Signal communication by K1JT,” while the suffix “-X” indicates that
WSJT-X started as an extended (and experimental) branch of the program WSJT.
This package is aimed primarily at the LF, MF, and HF bands and now includes
the following modes: FT8, JT4, JT9, JT65, QRA64, ISCAT, MSK144, WSPR and Echo.

%prep
%setup -q -n %{name}-%{version}%{?rcver:-%{rcver}}

%build

%cmake_qt5 -DWSJT_GENERATE_DOCS=OFF

%make_build

%install
%make_install -C build

rm -f %{buildroot}%{_docdir}/WSJT-X/{INSTALL,COPYING,changelog.Debian.gz,copyright}

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop \
    --add-category='X-MandrivaLinux-MoreApplications-Other' \
    --dir=%{buildroot}%{_datadir}/applications

%files
%{_bindir}
%{_datadir}


%changelog
* Fri Jan 13 2023 tex - 2.6.0-1pclos2023
- new version

* Sun Sep 18 2022 tex - 2.5.4-2pclos2022
- rebuild against updates

* Tue Feb 01 2022 tex - 2.5.4-1pclos2022
- new version

* Tue Mar 26 2019 tex - 2.0.1-2pclos2019
- rebuild against updates

* Thu Feb 28 2019 tex - 2.0.1-1pclos2019
- new version

